#pragma once
#include "Entity.h"
#include "EntityStateResist.h"
#include "EntityStateSplash.h"
#define CS_ENEMY_CRITTERPURPLE_CREATENAME L"CS_enemy_critterpurple"
//µÐÈË£ºÐ¡¹ÖÅÌÐý
class CS_Enemy_CritterPurple :
    public Entity
{
public:
    CS_Enemy_CritterPurple();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    EntityStateResist stateResist;
    EntityStateSplash stateSplash;
    int damage = 2;
    int act_no = 0;
    int ani_no = 0;
    int ani_wait = 0;
    int act_wait = 0;
    float tgt_y = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_CritterPurple();